<!DOCTYPE html>
<html lang="nl">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <title>Cocktail Configurator</title>
    
    <link href="https://cdnjs.cloudflare.com/ajax/libs/flowbite/1.6.3/flowbite.min.css" rel="stylesheet" />
    
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/flowbite/1.6.3/flowbite.min.js"></script>
    <script src="https://aframe.io/releases/1.4.1/aframe.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.11.5/gsap.min.js"></script>
    <script type="text/javascript" src="js/diy.js" defer></script>
    <script src="js/shopingCart.js" type="module"></script>
</head>


<body class="bg-white text-gray-600 work-sans leading-normal text-base tracking-normal">
    <header class="header bg-gray-900 text-white">
        <div class="container mx-auto px-4 py-6 flex items-center justify-between">
            <a href="index.html" class="font-bold text-lg text">DIYtails</a>
            <nav>
                <ul class="flex space-x-7">
                    <li><a href="index.html" class="hover:text-gray-400">HOME</a></li>
                    <li><a href="cocktail.html" class="hover:text-gray-400">AANBOD</a></li>
                    <li><a href="nieuws.html" class="hover:text-gray-400">NIEUWS</a></li>
                    <li class="font-sans block mt-4 lg:inline-block lg:mt-0 lg:ml-6 align-middle text-white hover:text-gray-400">
                        <a href="cart.html" role="button" class="relative flex">
                          <svg class="flex-1 w-8 h-8 fill-current" viewbox="0 0 24 24">
                            <path d="M17,18C15.89,18 15,18.89 15,20A2,2 0 0,0 17,22A2,2 0 0,0 19,20C19,18.89 18.1,18 17,18M1,2V4H3L6.6,11.59L5.24,14.04C5.09,14.32 5,14.65 5,15A2,2 0 0,0 7,17H19V15H7.42A0.25,0.25 0 0,1 7.17,14.75C7.17,14.7 7.18,14.66 7.2,14.63L8.1,13H15.55C16.3,13 16.96,12.58 17.3,11.97L20.88,5.5C20.95,5.34 21,5.17 21,5A1,1 0 0,0 20,4H5.21L4.27,2M7,18C5.89,18 5,18.89 5,20A2,2 0 0,0 7,22A2,2 0 0,0 9,20C9,18.89 8.1,18 7,18Z"/>
                          </svg>
                          <input id="quantity" class="absolute right-0 top-0 rounded-full bg-red-600 w-5 h-4 top right p-0 m-0 text-white font-mono text-sm  leading-tight text-center" value="0"></input>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </header>


    <section class="bg-white pt-10 pb-10">
        <div class="container justify-center items-center mx-auto flex">
            <button onclick="window.location.href='cocktail.html';"
                class="bg-gray-900 mx-8 hover:bg-gray-400 text-white font-bold py-2 px-4 rounded-full">COCKTAILS</button>
            <button onclick="window.location.href='mocktail.html';"
                class="bg-gray-900 mx-8 hover:bg-gray-400 text-white font-bold py-2 px-4 rounded-full">MOCKTAILS</button>
            <button onclick="window.location.href='diytail.html';"
                class="bg-gray-900 mx-8 hover:bg-gray-400 text-white font-bold py-2 px-4 rounded-full">MAKE YOUR
                OWN</button>
        </div>
    </section>

    <div class="flex items-center pt-4 pb-4">
        <div style="height: 700px;" class="w-3/6">
            
            <!--/SCENE/-->
            <a-scene embedded vr-mode-ui="enabled: false">
                
                <!--/ENTITIES/-->
                <!--ASSETS-->    
                <a-asset-item id="glas1" src="assets/glas1/glas1.gltf"></a-asset-item>
                <a-asset-item id="rietjeGlas1" src="assets/rietjeGlas1/rietjeGlas1.gltf"></a-asset-item>  
                
                <a-entity id="glas1_id" gltf-model="#glas1" visible="true" position="0 0 0"></a-entity>
                <a-entity id="rietjeGlas1_id" gltf-model="#rietjeGlas1" visible="false" position="0 0 0" rotation="0 0 0" ></a-entity>

                <!--CAMERA-->
                <a-entity id="camera-rig" position="0 60 70" rotation="-25 0 0">
                    <a-camera id="camera" fov="60" far="130" wasd-controls="acceleration:100"></a-camera>
                </a-entity>

                <!--LIGHT-->
                <a-entity id="licht" light="color: #FFFFF; intensity: 1" position="0 0 1"></a-entity>


                <!--/PRIMITIVES/-->
                <!--CYLINDER-->
                <a-cylinder id="cylinderGlas1" color="#FFFFF" position="0 23 0" height="45" radius="8"></a-cylinder>

            </a-scene>
                
        </div>
        
        <div class=" text-left w-3/6 px-10">

            <span class="text-2xl ">DRANKEN</span><span class="pl-60"></span>
                <a>
                    Total
                </a>
            <span id="valueTotal" class="text-1xl">0</span>
            <div class="flex text-left">
                <div class="pt-1 pb-3">
                    <button class="bg-gray-900 mx-1 mb-1 mt-1 text-white font-bold py-2 px-4 rounded-full">VODKA</button><br>
                    <button class="bg-gray-900 mx-1 mb-1 mt-1 text-white font-bold py-2 px-4 rounded-full">WHITE RUM</button><br>
                    <button class="bg-gray-900 mx-1 mb-1 mt-1 text-white font-bold py-2 px-4 rounded-full">PASSOA</button><br>
                    <button class="bg-gray-900 mx-1 mb-1 mt-1 text-white font-bold py-2 px-4 rounded-full">ORANGEJUICE</button><br>
                    <button class="bg-gray-900 mx-1 mb-1 mt-1 text-white font-bold py-2 px-4 rounded-full">SPRITE</button><br>
                    <button class="bg-gray-900 mx-1 mb-1 mt-1 text-white font-bold py-2 px-4 rounded-full">CRANBERRY</button><br>
                    <button class="bg-gray-900 mx-1 mb-1 mt-1 text-white font-bold py-2 px-4 rounded-full">PEACH</button><br>
                    <button class="bg-gray-900 mx-1 mb-1 mt-1 text-white font-bold py-2 px-4 rounded-full">LEMON</button><br>
                </div>
                <div class="pl-10">
                    <input id="sliderVodka" oninput="functionVodka()" type="range" min="0" max="100" value="0" class="mt-8 w-80 h-2 mr-4 bg-gray-200 rounded-lg appearance-none cursor-pointer dark:bg-gray-700"><span id="valueVodka" class="text-1xl">0</span>%<br>
                    <input id="sliderRum" oninput="functionRum()" type="range" min="0" max="100" value="0" class="mt-9 w-80 h-2 mr-4 bg-gray-200 rounded-lg appearance-none cursor-pointer dark:bg-gray-700"><span id="valueRum" class="text-1xl">0</span>%<br>
                    <input id="sliderPassoa" oninput="functionPassoa()" type="range" min="0" max="100" value="0" class="mt-8 w-80 h-2 mr-4 bg-gray-200 rounded-lg appearance-none cursor-pointer dark:bg-gray-700"><span id="valuePassoa" class="text-1xl">0</span>%<br>
                    <input id="sliderJuice" oninput="functionJuice()" type="range" min="0" max="100" value="0" class="mt-9 w-80 h-2 mr-4 bg-gray-200 rounded-lg appearance-none cursor-pointer dark:bg-gray-700"><span id="valueJuice" class="text-1xl">0</span>%<br>
                    <input id="sliderSprite" oninput="functionSprite()" type="range" min="0" max="100" value="0" class="mt-8 w-80 h-2 mr-4 bg-gray-200 rounded-lg appearance-none cursor-pointer dark:bg-gray-700"><span id="valueSprite" class="text-1xl">0</span>%<br>
                    <input id="sliderCranberry" oninput="functionCranberry()" type="range" min="0" max="100" value="0" class="mt-9 w-80 h-2 mr-4 bg-gray-200 rounded-lg appearance-none cursor-pointer dark:bg-gray-700"><span id="valueCranberry" class="text-1xl">0</span>%<br>
                    <input id="sliderPeach" oninput="functionPeach()" type="range" min="0" max="100" value="0" class="mt-8 w-80 h-2 mr-4 bg-gray-200 rounded-lg appearance-none cursor-pointer dark:bg-gray-700"><span id="valuePeach" class="text-1xl">0</span>%<br>
                    <input id="sliderLemon" oninput="functionLemon()" type="range" min="0" max="100" value="0" class="mt-9 w-80 h-2 mr-4 bg-gray-200 rounded-lg appearance-none cursor-pointer dark:bg-gray-700"><span id="valueLemon" class="text-1xl">0</span>%<br>
                </div>
            </div>

            <span class="text-2xl">
                GLAS
            </span>
            <div class="pt-1 pb-3">
                <button class="bg-gray-900 mx-1 mb-1 mt-1 hover:bg-gray-400 text-white font-bold py-2 px-4 rounded-full">GLAS</button>
                <!-- <button class="bg-gray-900 mx-1 mb-1 mt-1 hover:bg-gray-400 text-white font-bold py-2 px-4 rounded-full">GLAS 2</button>
                <button class="bg-gray-900 mx-1 mb-1 mt-1 hover:bg-gray-400 text-white font-bold py-2 px-4 rounded-full">GLAS 3</button> -->
            </div>

            <span class="text-2xl">EXTRA'S</span>
            <div class="pt-1 pb-3">
                <button class="bg-gray-900 mx-1 mb-1 mt-1 hover:bg-gray-400 text-white font-bold py-2 px-4 rounded-full" onclick="rietje()">
                    RIETJE
                </button>
            </div>

            <div class="ml-32">
                <div class="flex flex-row w-52 mx-auto">
                    <div class="custom-number-input h-8 w-20 mx-1 flex flex-row rounded-lg relative bg-transparent mt-1">                        
                        <button onclick = "aftellenDiytail()" type="button" class=" bg-gray-300 text-gray-600 hover:text-gray-700 hover:bg-gray-400 h-full w-20 rounded-l cursor-pointer outline-none">
                            <span class="m-auto text-2xl font-thin">
                                −
                            </span>
                        </button>

                        <input id="Diytail" class="focus:outline-none text-center w-full bg-gray-300 font-semibold text-md hover:text-black focus:text-black md:text-basecursor-default flex items-center text-gray-700 outline-none" value="0"></input>
                        
                        <button onclick = "optellenDiytail()" type="button" class="bg-gray-300 text-gray-600 hover:text-gray-700 hover:bg-gray-400 h-full w-20 rounded-r cursor-pointer">
                            <span class="m-auto text-2xl font-thin">
                                +
                            </span>
                        </button>                       
                    </div>
                    <div class="h-8 mx-1 flex flex-row bg-transparent mt-1 justify-end">
                        <a>
                            <button onclick= "addProductDiytail()" class="bg-gray-300 text-gray-600 hover:text-gray-700 hover:bg-gray-400 h-full w-28 rounded-md cursor-pointer">
                                <div class="flex flex-row">
                                    <p class="pt-1 text-gray-900 ml-2">ADD TO</p>
                                    <svg class="flex-1 w-8 h-8 fill-current" viewbox="0 0 24 24">
                                        <path d="M17,18C15.89,18 15,18.89 15,20A2,2 0 0,0 17,22A2,2 0 0,0 19,20C19,18.89 18.1,18 17,18M1,2V4H3L6.6,11.59L5.24,14.04C5.09,14.32 5,14.65 5,15A2,2 0 0,0 7,17H19V15H7.42A0.25,0.25 0 0,1 7.17,14.75C7.17,14.7 7.18,14.66 7.2,14.63L8.1,13H15.55C16.3,13 16.96,12.58 17.3,11.97L20.88,5.5C20.95,5.34 21,5.17 21,5A1,1 0 0,0 20,4H5.21L4.27,2M7,18C5.89,18 5,18.89 5,20A2,2 0 0,0 7,22A2,2 0 0,0 9,20C9,18.89 8.1,18 7,18Z"/>
                                    </svg>
                                </div>
                            </button>  
                        </a>
                    </div>
                </div>
            </div>

        </div>
    </div>


    <footer class="bg-gray-900 text-white">
        <div class="container mx-auto px-4 py-6 flex items-center justify-between">
            <p>&copy; 2023 DIYtails</p>
            <nav>
                <ul class="flex space-x-4">
                    <li><a href="https://www.facebook.com/groups/247663557148126" class="hover:text-gray-400"><img src="img/logo/logo-facebook.png" alt="Logo Facebook"></a></li>
                    <li><a href="https://www.instagram.com/cocktails/" class="hover:text-gray-400"><img src="img/logo/logo-instagram.png" alt="Logo Instagram"></a></li>
                </ul>
            </nav>
        </div>
    </footer>
</body>

</html>